import * as React from "react";
interface Props {
    id?: string;
    length?: number;
    value?: string;
    width?: number;
    height?: number;
    style?: object;
    className?: string;
    options?: OptionsProps;
    onChange?: Function;
    onClick?: Function;
}
interface State {
    id: string;
    width: number;
    height: number;
    len: number;
    style: object;
    options: Options;
}
interface Options {
    codes: (string | number)[];
    fontSizeMin: number;
    fontSizeMax: number;
    colors: string[];
    fonts: string[];
    lines: number;
    lineColors: string[];
    lineHeightMin: number;
    lineHeightMax: number;
    lineWidthMin: number;
    lineWidthMax: number;
}
declare type OptionsProps = {
    [P in keyof Options]?: Options[P];
};
export default class Vcode extends React.PureComponent<Props, State> {
    constructor(props: Props);
    /** 组件初始化完毕时触发 **/
    componentDidMount(): void;
    /** 组件参数改变 **/
    componentDidUpdate(prevP: Props): void;
    /** 用户点击了验证码图片 **/
    onClick(): void;
    /**
     * 随机生成一个Code的CSS样式
     * @param uW 每个字符所占的宽度
     * @param i 当前字符的下标
     * @return CSS字符串
     */
    codeCss(uW: number, i: number): string;
    /**
     * 随机生成一条线的CSS样式
     * @return CSS字符串
     */
    lineCss(): string;
    /**
     * 绘制
     * @param value 需要生成的字符值，不传则随机生成
     * */
    onDraw(value: string | undefined): string | null;
    /** 生成范围随机数 **/
    randint(n: number, m: number): number;
    render(): JSX.Element;
}
export {};
